package lightcontainer.interfaces;

import lightcontainer.protocol.ProtocolReader;
import lightcontainer.protocol.ProtocolWriter;

public interface ProtocolRepository {

    <T extends ProtocolReader.ProtocolResult> T executeReader(String data);

    String executeWriter(String cmdName, String... datas);

    void addReader(ProtocolReader reader);

    void addWriter(ProtocolWriter writer);
}
