package lightcontainer.protocol.rules.reader;

import lightcontainer.protocol.ProtocolReader;

public class FilelistRule extends ProtocolReader {
    // Constants
    private static final String PATTERN = "^FILELIST\r\n$";

    // Constructor
    public FilelistRule() {
        super(PATTERN);
    }

    public class Result extends ProtocolResult { }

    /**
     * Cette méthode est appelée lors de l'exécution de la règle
     * @param data Paramètres pour créer la commande.
     */
    @Override
    protected FilelistRule.Result onExecuted(String... data) {
        FilelistRule.Result result = new Result();
        result.setResultCommand("FILES endbenja.txt!500\r\n", ResultCmdReceiver.CLIENT);
        return result;
    }
}
