package lightcontainer.interfaces;

import lightcontainer.domains.client.ClientHandler;
import lightcontainer.repository.FileFrontEnd;

/**
 * A communication interface between a {@link ClientHandler} and the {@link FileFrontEnd}.
 */
public interface ClientHandlerFFE {
    // functions

    /**
     * Demande le traitement d'une commande
     * @param command Commande à traiter
     * @param client identifiant du client à qui est affilié cette commande
     */
    void newCommand(String command, String client);

}
